AsterNet Class Library (Sandcastle documentation)

| ManagerConnection Link Event

A Link is triggered when two voice channels are linked together and voice data exchange commences.
Several Link events may be seen for a single call. This can occur when Asterisk fails to setup a native bridge for the call.This is when Asterisk must sit between two telephones and perform CODEC conversion on their behalf.

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public event LinkEventHandler Link

    Public Event Link As LinkEventHandler

    public:
     event LinkEventHandler^ Link {
    	void add (LinkEventHandler^ value);
    	void remove (LinkEventHandler^ value);
    }

    member Link : IEvent<LinkEventHandler,
        LinkEvent>

#### Value

Type: AsterNET.Manager
LinkEventHandler
See Also

#### Reference

ManagerConnection Class
AsterNET.Manager Namespace